<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="750px"
    android:layout_height="1000px"
    android:background="@drawable/share_qrcode_shot_bg"
    tools:ignore="PxUsage">

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/cl_content"
        android:layout_width="592px"
        android:layout_height="758px"
        android:layout_marginTop="98px"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent">

        <androidx.appcompat.widget.AppCompatTextView
            android:id="@+id/tv_name"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginHorizontal="32px"
            android:layout_marginTop="116px"
            android:ellipsize="end"
            android:fontFamily="@font/poppins_semibold"
            android:gravity="center"
            android:includeFontPadding="false"
            android:lines="1"
            android:textColor="@color/color_FF1D2129"
            android:textSize="36px"
            app:layout_constrainedWidth="true"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            tools:text="Super Beautiful Girl Super Beautiful Girl Super Beautiful Girl" />

        <com.adealink.weparty.commonui.widget.EvaluateView
            android:id="@+id/v_star"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            app:evaluate_enable="false"
            app:evaluate_max="5"
            app:evaluate_width="20px"
            app:layout_constraintBottom_toTopOf="@id/iv_qr_code"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@id/tv_name" />

        <com.adealink.frame.image.view.NetworkImageView
            android:id="@+id/iv_qr_code"
            style="@style/CommonNetworkImage"
            android:layout_width="300px"
            android:layout_height="300px"
            android:layout_marginTop="202px"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            app:roundedCornerRadius="24px" />

        <androidx.appcompat.widget.AppCompatImageView
            android:id="@+id/iv_currency"
            style="@style/CommonNetworkImage"
            android:layout_width="32px"
            android:layout_height="32px"
            app:layout_constraintBottom_toBottomOf="@id/tv_currency"
            app:layout_constraintEnd_toStartOf="@id/tv_currency"
            app:layout_constraintHorizontal_chainStyle="packed"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="@id/tv_currency"
            app:srcCompat="@drawable/common_wallet_coin_ic" />

        <androidx.appcompat.widget.AppCompatTextView
            android:id="@+id/tv_currency"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginHorizontal="32px"
            android:layout_marginStart="4px"
            android:layout_marginTop="8px"
            android:ellipsize="end"
            android:fontFamily="@font/poppins_semibold"
            android:gravity="center"
            android:includeFontPadding="false"
            android:lines="1"
            android:textColor="@color/color_FF1D2129"
            android:textSize="36px"
            app:layout_constrainedWidth="true"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toEndOf="@id/iv_currency"
            app:layout_constraintTop_toBottomOf="@id/iv_qr_code"
            tools:text="500" />

        <com.adealink.weparty.commonui.widget.CommonButton
            android:layout_width="wrap_content"
            android:layout_height="60px"
            android:layout_marginHorizontal="24px"
            android:layout_marginTop="8px"
            android:minWidth="120px"
            android:paddingHorizontal="24px"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@id/tv_currency"
            app:text="@string/share_long_press_scan"
            app:textColor="@color/white"
            app:textSize="28px" />

        <androidx.constraintlayout.widget.ConstraintLayout
            android:layout_width="match_parent"
            android:layout_height="102px"
            android:paddingHorizontal="32px"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent">

            <com.adealink.frame.image.view.NetworkImageView
                android:id="@+id/iv_category"
                android:layout_width="52px"
                android:layout_height="52px"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent" />

            <androidx.appcompat.widget.AppCompatTextView
                android:id="@+id/tv_category"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="16px"
                android:includeFontPadding="false"
                android:textColor="@color/color_FF1D2129"
                android:textSize="24px"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintStart_toEndOf="@id/iv_category"
                app:layout_constraintTop_toTopOf="parent"
                tools:text="Lol Mobile" />

            <androidx.appcompat.widget.AppCompatTextView
                android:id="@+id/tv_unit"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="16px"
                android:includeFontPadding="false"
                android:textColor="@color/color_FF1D2129"
                android:textSize="24px"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintTop_toTopOf="parent"
                tools:text="2hour" />
        </androidx.constraintlayout.widget.ConstraintLayout>

    </androidx.constraintlayout.widget.ConstraintLayout>

    <com.adealink.weparty.commonui.imageview.AvatarView
        android:id="@+id/iv_avatar"
        android:layout_width="150px"
        android:layout_height="150px"
        android:layout_marginTop="60px"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        app:roundingBorderColor="@color/white"
        app:roundingBorderWidth="2px" />

</androidx.constraintlayout.widget.ConstraintLayout>